#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	List
%define		pnam	MoreUtils
Summary:	List::MoreUtils - provide the stuff missing in List::Util
Summary(pl.UTF-8):	List::MoreUtils - dostarczenie elementów brakujących w List::Util
Name:		perl-List-MoreUtils
Version:	0.33
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/List/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a33c84028cc2ff3e92c92434b326c0f
URL:		http://search.cpan.org/dist/List-MoreUtils/
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
BuildRequires:	perl-ExtUtils-CBuilder >= 0.27
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.82
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
List::MoreUtils provides some trivial but commonly needed
functionality on lists which is not going to go into List::Util.

All of the below functions are implementable in one line of Perl code.
Using the functions from this module however should give slightly
better performance as everything is implemented in C. The pure-Perl
implementation of these functions only serves as a fallback in case
the C portions of this module couldn't be compiled on this machine.

%description -l pl.UTF-8
List::MoreUtils dostarcza prostych, ale często potrzebnych funkcji do
operacji na listach - elementy, które nie zostaną dołączone do
List::Util.

Wszystkie z funkcji są możliwe do implementowania w jednej linijce
kodu Perla. Używanie funkcji z tego modułu może jednak dać odrobinę
większą wydajność jako, że całość została napisana w C. Implementacja
napisana w Perlu służy w sytuacjach wyjątkowych w przypadkach, gdy
elementy modułu napisane w C nie mogą zostać skompilowane na maszynie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/List
%{perl_vendorarch}/List/MoreUtils.pm
%dir %{perl_vendorarch}/auto/List/MoreUtils
%{perl_vendorarch}/auto/List/MoreUtils/MoreUtils.bs
%attr(755,root,root) %{perl_vendorarch}/auto/List/MoreUtils/MoreUtils.so
%{_mandir}/man3/List::MoreUtils.3pm*
%changelog
* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 8d1f8f4
- more perl BRs, unified CPAN source URL

* Fri Jan 13 2012 zbyniu <zbyniu@pld-linux.org> cbed697
- up to 0.33

* Tue Feb 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 0ceff4f
- updated to 0.30

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> f774079
- release 6

* Sat Jun 05 2010 radek <radek@pld-linux.org> 28de8fa
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 956caf6
- release 4

* Sun Mar 02 2008 radek <radek@pld-linux.org> 7e71d50
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 760b7da
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 40f2420
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c22cb83
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 73092f1
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> beab3ee
- updated to 0.22

* Wed Oct 25 2006 ankry <ankry@pld-linux.org> bc681e1
- missing dir, rel. 2

* Mon Feb 13 2006 migo <migo@pld-linux.org> 4e167a2
- up  to 0.17

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> 1b9b630
- updated to 0.09

* Wed Dec 01 2004 radek <radek@pld-linux.org> cabeed7
- autoupdated to 0.07

* Mon Nov 15 2004 paladine <paladine@pld-linux.org> dbfa83c
- updated to 0.06

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 3deef84
- formatting

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> c5c48ec
- spaces->tabs

* Mon Oct 25 2004 paladine <paladine@pld-linux.org> f8b5a93
- "HTML" and "Perl" unification

